> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Purchase E-Invoices Job

> Submit a job to get list of purchase e-Invoice details for the specified return period.

<Info>
  Only e-Invoices within the last 6 months can be fetched.
</Info>


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases:
    post:
      tags:
        - Taxpayer
        - e-Invoice
        - Purchase e-Invoices for return period
      summary: Submit Job
      operationId: listPurchaseEInvoicesJob
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: supply_type
          in: query
          description: Supply type. E.g. B2B, SEZWP, SEZWOP, DEXP, EXPWP, EXPWOP
          required: true
          schema:
            type: string
            example: B2B
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: 200 Job created
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        example: in.co.sandbox.gst.compliance.e-invoice.list.job
                      job_id:
                        type: string
                        example: 412a22ee-2096-4ead-b06b-55143f560903
                      month:
                        type: string
                        example: '10'
                      recipient_gstin:
                        type: string
                        example: 29AAACQ3770E000
                      status:
                        type: string
                        example: created
                      supply_type:
                        type: string
                        example: B2B
                      year:
                        type: string
                        example: '2024'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 0a5ff87f-74a9-479f-a219-add60764d1ae
              examples:
                200 Job created:
                  summary: 200 Job created
                  value:
                    code: 200
                    data:
                      '@entity': in.co.sandbox.gst.compliance.e-invoice.list.job
                      job_id: 412a22ee-2096-4ead-b06b-55143f560903
                      month: '10'
                      recipient_gstin: 29AAACQ3770E000
                      status: created
                      supply_type: B2B
                      year: '2024'
                    timestamp: 1763446641000
                    transaction_id: 0a5ff87f-74a9-479f-a219-add60764d1ae
          headers: {}
      deprecated: false
      security: []

````